### Function

# Gcr CertificateRequest capable_async

#### Declaration [src]

    void
    gcr_certificate_request_capable_async (
      GckObject* private_key,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Asynchronously check whether `GcrCertificateRequest` is capable of creating a request for the given `private_key`.

#### Parameters

`private_key` | `GckObject`
| A private key.
| The data is owned by the caller of the function.
`cancellable` | `GCancellable`
| Cancellation object.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`callback` | `GAsyncReadyCallback`
| Will be called when the operation completes.
`user_data` | `gpointer`
| Data to be passed to callback.
| The argument can be `NULL`.
| The data is owned by the caller of the function.